Customers
Customer profiles and addresses
Archive
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/archive" \ -H "Content-Type: application/json" \ -d '{ "customerId": "string" }'{}Archive Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/archiveMany" \ -H "Content-Type: application/json" \ -d '{ "customerIds": [ "string" ] }'{}Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/create" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string", "phoneNumber": "string" }'{}Get Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/getMany" \ -H "Content-Type: application/json" \ -d '{ "organizationSlug": "string" }'{}Get One
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/getOne" \ -H "Content-Type: application/json" \ -d '{ "customerId": "string", "organizationSlug": "string" }'{}Restore
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/restore" \ -H "Content-Type: application/json" \ -d '{ "customerId": "string" }'{}Restore Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/restoreMany" \ -H "Content-Type: application/json" \ -d '{ "customerIds": [ "string" ] }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/customers/update" \ -H "Content-Type: application/json" \ -d '{ "phoneNumber": "string", "customerId": "string" }'{}